import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/staff_job_history_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/staff_job_history_s_g_entity.g.dart';

@JsonSerializable()
class StaffJobHistorySGEntity {
	int total = 0;
	List<StaffJobHistorySGRows> rows = [];

	StaffJobHistorySGEntity();

	factory StaffJobHistorySGEntity.fromJson(Map<String, dynamic> json) => $StaffJobHistorySGEntityFromJson(json);

	Map<String, dynamic> toJson() => $StaffJobHistorySGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class StaffJobHistorySGRows {
	@JSONField(name: "applied_id")
	String? appliedId = null;
	@JSONField(name: "job_title")
	String? jobTitle = null;
	@JSONField(name: "outlet_name")
	String? outletName = null;
	@JSONField(name: "job_date")
	String? jobDate = null;
	@JSONField(name: "start_time")
	String? startTime = null;
	@JSONField(name: "end_time")
	String? endTime = null;
	@JSONField(name: "source_show")
	String? sourceShow = null;
	@JSONField(name: "status_show")
	String? statusShow = null;
	@JSONField(name: "show_star")
	int showStar = 0;

	StaffJobHistorySGRows();

	factory StaffJobHistorySGRows.fromJson(Map<String, dynamic> json) => $StaffJobHistorySGRowsFromJson(json);

	Map<String, dynamic> toJson() => $StaffJobHistorySGRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}